/*
Theme Name:     Fungopas
Theme URI:      https://design-green-cat.com
Template:       kadence
Author:         Design Green Cat
Author URI:     https://design-green-cat.com
Description:    kadence child theme for Gopas Funs Web
Version:        2.0.1
License:        GNU General Public License v3.0 (or later)
License URI:    https://www.gnu.org/licenses/gpl-3.0.html
*/


/* Animation */
@keyframes tilt-shaking {
  0% { transform: rotate(0deg); }
  25% { transform: rotate(5deg); }
  50% { transform: rotate(0eg); }
  75% { transform: rotate(-5deg); }
  100% { transform: rotate(0deg); }
}
@keyframes tilt-shaking-min {
  0% { transform: rotate(0deg); }
  25% { transform: rotate(2deg); }
  50% { transform: rotate(0eg); }
  75% { transform: rotate(-2deg); }
  100% { transform: rotate(0deg); }
}
.anim-tilt-shake {
  animation: tilt-shaking 0.3s infinite;
}
.anim-tilt-shake:hover {
  animation: tilt-shaking-min 0.2s infinite;
}

/* CSS pro tabulku výsledků testu */
.javadays .sts-results-table-wrapper {
    margin: 30px 0;
    overflow-x: auto;
}

.javadays .sts-results-table {
    width: 100%;
    border-collapse: collapse;
    border-spacing: 0;
    font-size: 28px;
    border: 1px solid #ddd;
	background: var(--sts-background-color);
	color: var(--sts-text-color);
}
.javadays .sts-results-table tr {
	background: var(--sts-background-color);
	color: var(--sts-text-color);
}
.javadays .sts-results-table th,
.javadays .sts-results-table td {
    padding: 12px 15px;
    text-align: left;
    border-bottom: 1px solid #ddd;
}
.javadays .sts-results-table tr th {
	font-family: var(--global-heading-font-family);
	background: var(--global-palette1, #2B6CB0);
	color: var(--sts-text-color);
}
.javadays .sts-results-table th {
    font-weight: bold;
    position: sticky;
    top: 0;
}

.javadays .sts-results-table tbody tr:nth-child(even) {
    background-color: var(--sts-light-background-color);
}

.sts-results-table tbody tr:hover {
    background-color: var(--global-palette2, #2B6CB0);
}
